services:
    _defaults:
        autowire: true
        autoconfigure: true

    chill.activity.timeline:
        class: Chill\ActivityBundle\Timeline\TimelineActivityProvider
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@chill.main.security.authorization.helper'
            - '@security.token_storage'
            - '@Chill\ActivityBundle\Repository\ActivityACLAwareRepository'
        public: true
        tags:
            - { name: chill.timeline, context: 'person' }
            - { name: chill.timeline, context: 'center' }

    Chill\ActivityBundle\Menu\:
        resource: '../Menu/'
        tags: ['chill.menu_builder']

    Chill\ActivityBundle\Notification\:
        resource: '../Notification'

    Chill\ActivityBundle\Security\Authorization\:
        resource: '../Security/Authorization/'

    Chill\ActivityBundle\Repository\:
        resource: '../Repository/'

    Chill\ActivityBundle\Validator\Constraints\:
        autowire: true
        autoconfigure: true
        resource: '../Validator/Constraints/'

    Chill\ActivityBundle\Service\DocGenerator\:
        resource: '../Service/DocGenerator/'

    Chill\ActivityBundle\Service\EntityInfo\:
        resource: '../Service/EntityInfo/'

    Chill\ActivityBundle\Service\GenericDoc\:
        resource: '../Service/GenericDoc/'
